> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nordiska.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit supplementary cardholder details

> Submit supplementary cardholder details



## OpenAPI

````yaml https://partner-card.test.public.rockerapi.dev/docs/docs.yaml put /api/v4/engagements/card/onboarding/{onboarding-id}/supplementary-card-holder-details
openapi: 3.1.0
info:
  title: Card
  version: '1.0'
servers:
  - url: https://partner-card.test.public.rockerapi.dev
security: []
paths:
  /api/v4/engagements/card/onboarding/{onboarding-id}/supplementary-card-holder-details:
    put:
      tags:
        - Card
      summary: Submit supplementary cardholder details
      description: Submit supplementary cardholder details
      operationId: PutSupplementaryCardholderDetails
      parameters:
        - name: onboarding-id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HttpSupplementaryHolderDetailsRequest'
            examples:
              SUPPLEMENTARY_CARDHOLDER_DETAILS:
                value:
                  cardholderDetails:
                    salutation: MRS
                    firstName: Julia
                    lastName: Mueller
                    dateOfBirth: '1990-05-12'
                    placeOfBirth: Berlin
                    nationality: DE
                    phone: '+491701234568'
                    locale: de
                  redirectUrls:
                    successUrl: https://example.com/supplementary/success
                    failUrl: https://example.com/supplementary/fail
        required: true
      responses:
        '200':
          description: ''
        '400':
          description: >-
            Invalid value for: path parameter onboarding-id, Invalid value for:
            body
          content:
            text/plain:
              schema:
                type: string
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorBodyResponse'
      security:
        - httpAuth: []
components:
  schemas:
    HttpSupplementaryHolderDetailsRequest:
      title: HttpSupplementaryHolderDetailsRequest
      type: object
      required:
        - cardholderDetails
        - redirectUrls
      properties:
        cardholderDetails:
          $ref: '#/components/schemas/HttpSupplementaryHolderDetails'
        redirectUrls:
          $ref: '#/components/schemas/HttpRedirectUrls'
    HttpErrorBodyResponse:
      title: HttpErrorBodyResponse
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
    HttpSupplementaryHolderDetails:
      title: HttpSupplementaryHolderDetails
      type: object
      required:
        - salutation
        - firstName
        - lastName
        - dateOfBirth
        - placeOfBirth
        - nationality
        - phone
        - locale
      properties:
        salutation:
          $ref: '#/components/schemas/HttpSalutation'
        firstName:
          type: string
        lastName:
          type: string
        dateOfBirth:
          description: Date of birth (ISO 8601 YYYY-MM-DD)
          type: string
        placeOfBirth:
          type: string
        nationality:
          description: ISO 3166-1 alpha-2 country code
          type: string
        phone:
          description: E.164 format.
          type: string
        locale:
          $ref: '#/components/schemas/HttpLanguage'
          description: ISO 639-1 language code (de, en)
    HttpRedirectUrls:
      title: HttpRedirectUrls
      type: object
      required:
        - successUrl
        - failUrl
      properties:
        successUrl:
          examples:
            - https://example.com
          type: string
        failUrl:
          examples:
            - https://example.com
          type: string
    HttpSalutation:
      title: HttpSalutation
      type: string
      enum:
        - HERR
        - FRAU
        - MR
        - MRS
        - MS
        - MISS
    HttpLanguage:
      title: HttpLanguage
      type: string
      enum:
        - de
        - en
  securitySchemes:
    httpAuth:
      type: http
      scheme: basic

````